#ifndef MSQ_H
#define MSQ_H

#define MSG_KEY 10L
#define PERM 0600

#define DATA_LENGHT 7000
#define MSG_LENGHT (DATA_LENGHT+8)

//Lista de comandos entre o servidor e a interface
#define STOP 0
#define SEND_TEXT 1
#define SEND_IMAGE 2
#define TAB_CONEC 3
#define GET_CONFIG 4
#define S_LEC 5
#define S_KEY 6
#define S_TIME 7
#define RESTART 8
#define CLEAR 9
#define START_LOOP 10
#define STOP_LOOP 11
#define SEND_FILE 12
#define RELOAD_ADV 13
#define DELETE_ADV 14
#define RELOAD_PRE 15
#define DELETE_PRE 16
#define SEND_CONFIG 17
#define SEND_UPD 18
#define SEND_PARAM 19
#define SEND_SETUP 20

#pragma pack(push,1)
#pragma pack(1)

typedef struct mensagem
{
	long type;
	int CMD;
	int ID;
	char data[DATA_LENGHT];
}MSG_DATA;

typedef struct text
{
	int tempo;
	char linha1[30];
	char linha2[30];
}Texto;

typedef struct img
{
	char filename[21];
	int tempo;
}Imagem;

typedef struct file
{
	char origem[255];
	char destino[255];
}Arquivo;

typedef struct menu
{
	long type;
	char comando;//recebe o comando do teclado(TC504)
	int identificador;//recebe o ID do terminal(TC504)
}Menu_TC504;

#pragma pack(pop)

#endif
