#ifndef PRICES_H
#define PRICES_H

//#include <mysql/mysql.h>
#include <pgsql/libpq-fe.h>

#define PGUSER "postgres"
#define PGPWD ""
#define PGDBNAME "database"
#define PRICE "pricetable"
#define BARCODEL "barcode"
#define CARD "cardtable"
#define CARDCODEL "cardcode"

#pragma pack(push,1)
#pragma pack(1)

typedef struct preco
{
	char nome[50];
	char preco[20];
	int Xnome;
	int Ynome;
	int Xpreco;
	int Ypreco;
	char cor[10];
	char background[10];
	char imagem1[255];
	char imagem2[255];
	char imagem3[255];
}Preco;

typedef struct bonus
{
	char nome[50];
	char bonus[20];
	char imagem[255];
}Bonus;

Preco SeekBarCode(PGconn *conn,char *barras,int *achou);
Bonus SeekBonus(PGconn *conn,char *code,int *achou);

#pragma pack(pop)
#endif
